## python-oslo-context 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3

=== debian/changelog ===
python-oslo-context (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 13:06:13 +0000

python-oslo-context (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Now building python-oslo.context and not python-oslo-context.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 15:23:52 +0100

python-oslo-context (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #773622).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Dec 2014 10:05:58 +0800

=== debian/control ===
Source: python-oslo-context
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python3-babel,
                     python3-oslotest (>= 1.2.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo-context.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo-context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-babel,
         python-pbr,
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-context,
Replaces: python-oslo-context (<< 0.1.0-2~),
Breaks: python-oslo-context (<< 0.1.0-2~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python-babel,
         python3-pbr,
         ${misc:Depends},
         ${python:Depends},
Provides: python3-oslo-context,
Replaces: python3-oslo-context (<< 0.1.0-2~),
Breaks: python3-oslo-context (<< 0.1.0-2~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo-context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.context; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.context; \
	done
	rm -f $(CURDIR)/debian/python*-oslo-context/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e && set -x && for i in $(PYTHONS) $(PYTHON3S); do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo-context-doc/usr/share/doc/python-oslo-context-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.context/ oslo.context-(.*).tar.gz
